#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x1949d08b, "module_layout" },
	{ 0xebfd386a, "unregister_pernet_subsys" },
	{ 0x2473f23f, "init_net" },
	{ 0x3e0bf3eb, "register_pernet_subsys" },
	{ 0xc440c446, "xt_hook_ops_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xcd716bdd, "arpt_register_table" },
	{ 0xd03e13f5, "arpt_alloc_initial_table" },
	{ 0x35f31ed6, "arpt_do_table" },
	{ 0xcf867b87, "arpt_unregister_table_pre_exit" },
	{ 0x1ab02d64, "arpt_unregister_table" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "x_tables,arp_tables");


MODULE_INFO(srcversion, "AB7A291FCD07CF20BA45848");
